SDL_strnlen(3)

NAME
SDL_strnlen - This works exactly like strnlen() but doesn't require access to a C runtime.

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

size_t SDL_strnlen(const char *str, size_t maxlen);

DESCRIPTION
Counts up to a maximum of maxlen bytes in str , excluding the null terminator.

If you need the length of a UTF-8 string, consider using

SDL_utf8strnlen ().

FUNCTION PARAMETERS

str The null-terminated string to read. Must not be NULL.

maxlen
    The maximum amount of bytes to count.

RETURN VALUE
Returns the length (in bytes, excluding the null terminator) of src but never more than maxlen .

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_strlen(3), •(3), SDL_utf8strlen(3), •(3), SDL_utf8strnlen(3)